# Git tutorial - session
We are going to do some exercises in this dummy project.

It is very simple, only consists in a couple of files written in bash and you will have to write some functions there. In the end the idea is to enhance the functionality of the script with functions to say 'Hello' in different languages:

In this tutorial you will learn how to make commits in the Git project, to create several branches, to push things to Gogs, and to follow a standard procedure to develop collaboratively. Afterwards, you should apply the same methods to any other collaborative development inside the ELIC department. The objectives will be achieved gradually following these topics:

1.     [Set up your working environment](https://www.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/working_environment)
2.     [Prepare issues](https://www.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/issues)
3.     [Prepare branches](https://www.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/branches)
4.     [Add new functions](https://www.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/functions)
5.     [Create pull request](https://www.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/pull_request)
6.     [Review and test others' branches](https://www.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/review)
7.     [Pull master changes](https://www.elic.ucl.ac.be/TECLIM/Git_Training/src/master/project/windows/pull_master)
